package cn.ibizlab.r7.runtime.core.r7rt_base.filter;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import cn.ibizlab.r7.runtime.util.ISearchFilter;
import cn.ibizlab.r7.runtime.util.domain.DataObj;
import com.fasterxml.jackson.annotation.JsonFormat;
import cn.ibizlab.r7.runtime.util.SearchContext;
import cn.ibizlab.r7.runtime.util.SearchFieldFilter;
import cn.ibizlab.r7.runtime.util.enums.SearchFieldType;
import cn.ibizlab.r7.runtime.util.enums.SearchGroupType;
import cn.ibizlab.r7.runtime.util.SearchGroupFilter;
import lombok.Data;

/**
 * 关系型数据实体[UserRoleType] 查询条件对象
 */
@Data
public class UserRoleTypeSearchContext extends SearchContext {

	   public String n_userroletypename_like;//[用户角色类型名称]
       public void setN_userroletypename_like(String n_userroletypename_like) {
            this.n_userroletypename_like=n_userroletypename_like;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("userroletypename");
            searchField.setCondition(SearchFieldType.LIKE);
            searchField.setValue(n_userroletypename_like);
            this.getCondition().add(searchField);
       }

	/**
	 * 启用快速搜索
	 */
	public void setQuery(String strQuery)
	{
		 this.query=strQuery;
         if(!org.springframework.util.StringUtils.isEmpty(strQuery)){
           SearchGroupFilter searchGroupFilter=new SearchGroupFilter();
           searchGroupFilter.setSearchGroupType(SearchGroupType.OR);

           SearchFieldFilter userroletypename=new SearchFieldFilter();
           userroletypename.setParam("userroletypename");
           userroletypename.setCondition(SearchFieldType.LIKE);
           userroletypename.setValue(strQuery);
           searchGroupFilter.getCondition().add(userroletypename);
        this.getCondition().add(searchGroupFilter);   

           
           
        }
	}
}
